{ pkgs, hyper, ... }:
{
  imports = [
    ./home-modules/bash.nix
    ./home-modules/color-pallete.nix
    ./home-modules/direnv.nix
    ./home-modules/fish.nix
    ./home-modules/git.nix
    ./home-modules/gpg.nix
    ./home-modules/helix.nix
    ./home-modules/latex.nix
    ./home-modules/nh.nix
    ./home-modules/nixd.nix
    ./home-modules/nxgs.nix
    ./home-modules/pandoc.nix
    ./home-modules/programming/c.nix
    ./home-modules/programming/gleam.nix
    ./home-modules/programming/go.nix
    ./home-modules/programming/java.nix
    ./home-modules/programming/js.nix
    ./home-modules/programming/python.nix
    # ./home-modules/sops.nix
    ./home-modules/ssh.nix
    ./home-modules/starship.nix
    ./home-modules/vale.nix
    ./home-modules/yazi.nix
    ./home-modules/zoxide.nix

    ./home-modules/pkgs-list/shell.nix
  ];
  home.username = hyper.user;
  # home.homeDirectory = hyper.home; # for some reason you cant use hyper.home here
  home.homeDirectory = "/home/${hyper.user}";
  home.stateVersion = pkgs.version;
  xdg = {
    enable = true;
    configHome = "${hyper.home}/.config";
    cacheHome = "${hyper.home}/.cache";
    dataHome = "${hyper.home}/.local/share";
    stateHome = "${hyper.home}/.local/state";
  };
  programs.home-manager.enable = true;
}

